
if (global.Config == undefined){
    global.Config = {
        "Port": 3010,
        "Subtitle": "<span>IP: 127.0.0.1</span>&nbsp;&nbsp;<span>Q群:xxxxx</span>",
        "RequestMaxCount": 30,
        "imgMaxSize": 2048,
    };
}
try {
    if (mc){let a = 1;}
}catch(e){
    global.log = console.log;
}
const express = require('express');
const bodyParser = require('body-parser');
const cookieParser = require('cookie-parser');  

//const cors = require('cors');
// 导入定义的路由
const validate = require('./src/middleware/validate');
const router_config = require('./src/routers/config');
const router_user = require('./src/routers/user');

// 创建 app 实例
const app = express();


// 开启跨域支持
//app.use(cors());

// 解析表单
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: false }));

app.use(express.static(`${__dirname}/public`));  // 配置静态资源
app.use('/config', router_config); // 路由 - 配置

// 用户验证
app.use(cookieParser()); 
app.use(validate);
app.use(express.static(`${__dirname}/../CustomGetMap/.img`));  // 配置customgetmap库
// 路由 - 用户
app.use('/user', router_user);

// * 简单测试接口，后面会删掉
app.get('/', (req, res) => {
    res.location("/public/index.html");
})
;
// 开启监听服务
app.listen(Config.Port, () => {
    log(`地图画自助上传Web服务已启动: http://localhost:${Config.Port}`);
});