// 引入配置好的 multerConfig
const multerConfig = require("./multerConfig");

// 上传接口的 请求参数req  响应参数res
function uploadCustomMap(req, res) {
    return new Promise((resolve, reject) => {
        multerConfig.single("file")(req, res, function (err) {
            if (err) {
                resolve(err);
            } else {
                log(`<${req.body.username}> 上传了 ${req.body.imgFileName}`);
                resolve({
                    success: true,
                    imgFileName: req.body.imgFileName,
                });
            }
        });
    });
}
module.exports = uploadCustomMap;
